%define version 0.11.1
%define release 1mdk

Summary:	Clone of a Risk clone
Name:		teg
Version:	%{version}
Release:	%{release}
URL:		http://teg.sourceforge.net/
License:	GPL
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}.tar.bz2

Obsoletes:	teg-gnome1
# 0.11.0-4mdk (Abel) I don't think providing teg-gnome1 is reasonable,
# but ... rpmlint
Provides:	teg-gnome1
BuildRequires:	GConf2
BuildRequires:	libgnomeui2-devel
BuildRequires:	intltool
BuildRequires:	ImageMagick
Prereq:		GConf2 >= 2.3.3

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q
intltoolize -c -f

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std bindir=%{_gamesbindir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/tegclient" \
 section="More applications/Games/Strategy" \
 title="Tenes Emapandas Graciela" \
 longtitle="Clone of a Risk clone" \
 needs="x11" \
 icon="%{name}.png"
EOF
#?package(%{name}): needs="text" section="Amusement/Strategy" title="TEG server" \
#  longtitle="Clone of a Risk clone (server)" command="%{_gamesbindir}/tegserver" icon="%{name}.png"

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir}
convert -geometry 48x48 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in teg; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in teg; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Games/*.desktop
%{_sysconfdir}/gconf/schemas/*.schemas

%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jul 28 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.1-1mdk
- new version

* Wed Feb 18 2004 Abel Cheung <deaddog@deaddog.org> 0.11.0-5mdk
- Patch0: from Andre van Blokland <avblokland@gmx.net>:
  o Added patches from CVS which hopefully stops the client from crashing
- Remove server menu entry, it can be started via client
- Move binary to $gamesbindir

* Tue Aug 26 2003 Abel Cheung <deaddog@deaddog.org> 0.11.0-4mdk
- Rebuild with newer GNOME (what's all these gnomecanvas fuzz about?)
- Obsoletes teg-gnome1, teg-gnome1 has no reason to exist now
- BuildRequires
- Fix file list
- find_lang add --with-gnome option
- Run intltoolize, intltool files were missing
- Install/uninstall schemas in post/preun
- Avoid installing schemas during make install
- Use ImageMagick to convert icons, thus no need to bundle them
- Convert this spec file to UTF-8
- TODO: GNU Gaming Zone support

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.0-3mdk
- fix buildrequires thx to stefan's robot

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11.0-2mdk
- from andi payn <payn@myrealbox.com> :
	- requires GNOME 2.0; doesn't work with 2.2
	- conflicts teg-gnome1

* Thu Jan 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11.0-1mdk
- 0.11.0

* Fri Jul 26 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.1-1mdk
- new version

* Mon May 27 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.0-1mdk
- new version

* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires

* Thu Jan 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- first mdk package
